:root {
  --font-default: "CustomFont", Arial, Helvetica, sans-serif;
  --font-slab: var(--font-default);
  --modal-duration: 0.8s;
}
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

@font-face {
  font-family: "CustomFont";
  src: url("fonts/DM_Sans/DMSans-Regular.ttf");
}
/* Landing Page */

body {
  margin: 0;
  display: flex;
  flex-direction: column;
  /* background-image: url("background.png"); */
  font-family: var(--font-default);
  font-size: 18px;
  max-width: 1300px;
  margin: 0 auto;
}

p {
  margin-bottom: 0;
  padding: 0.5vw;
}

img {
  padding-right: 1rem;
}

.topnav {
  /* overflow: hidden; */
  margin: 3.5%;
  display: flex;
  justify-content: space-between;
}
.header-logo {
  flex-shrink: 0;
    float: left;
}
.main-navbar {
    float: right;
    margin-block: auto;
}
.topnav a {
  float: left;
  display: block;
  color: #000000;
  text-align: center;
  padding: 12px 12px;
  margin: 5px;
  text-decoration: none;
  font-size: 20px;
  font-family: Roboto, sans-serif;
}


.topnav .nav a:hover {
  background-color: #ff0000;
  color: #ffffff;
  border-radius: 15px;
}
.topnav .nav a:hover span {
  
  border-bottom: #ffffff 2px solid;
}

.topnav .nav a.active {
  background-color: #ff0000;
  color: #ffffff;
  border-radius: 15px;
}
.topnav .nav a.active span{
  
  border-bottom: #ffffff 2px solid;
}



.topnav .icon {
  display: none;
}

@media screen and (max-width: 768px) {
  .topnav .nav {display: none;}
  .topnav a.icon {
    color: #ff0000;
    float: right;
    display: block;
    margin: 8px 20px;
  }
  .topnav .logo {
    width: 150px;
    /* margin: 20px; */
    position: absolute;
  }

  .topnav {
    margin-bottom: 0;
  }
 
  .topnav a.icon:hover {
    background-color: #ff0000;
    color: #ffffff;
    border-radius: 15px;
  }
}

@media screen and (max-width: 768px) {
  .topnav.responsive {position: relative;}
  .topnav.responsive .icon {
    color: #ff0000;
    position: absolute;
    right: 0;
    top:0;
  }
  .topnav.responsive .main-navbar {
   /* position: absolute; */
    margin-top: 63px;
    flex-shrink: 0;
  }
  
  /* .topnav.responsive a {
    float: none;
    display: block;
    text-align: left;
  } */

  .topnav.responsive .nav {
    position: absolute;
    display: flex;
    justify-content: space-around;
    flex-direction: column;
    z-index: 1000;
    width: 100%;
    height: 250px;
    overflow: scroll;
    background-color: white;
    border-radius: 20px;
    /* filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25)); */
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    overflow: hidden;
    
    top: 61px;
    left: 0;
    right: 0;
  }

  
}



 /* @media screen and (max-width: 540px) {
  .topnav a {display: none;}
  .topnav a.icon {
    float: right;
    display: block;
    margin-top: -15px;
  }
}  */

main {
  font-size: 130%;
  font-weight: bolder;
  color: black;
  padding-top: 0.5vw;
  padding-left: 2vw;
  padding-right: 2vw;
  margin: 1px 20px 15px;
  border-radius: 2rem;
  text-align: justify;


}

.modal-btn {
  font-size: 145%;
  background: #fe142f;
  display: flex;
  margin: auto;
  padding: 2em;
  color: #fff;
  padding: 0.75rem 2.5rem;
  border-radius: 1rem;
  cursor: pointer;
}

.modal-btn:hover {
  background: #3876ac;
}

.footer {
  margin: 20px;
  padding: 10px;
  font-family: var(--font-slab);
}

/* Modal form */

.button {
  background: #fe142f;
  margin-top: 0.5em;
  padding: 1em;
  color: #fff;
  border-radius: 15px;
  cursor: pointer;
  font-size: 16px;
}

.button#closeModal {
  border-radius: 10px;
  padding-inline: 4rem;
  padding-block: 0.4rem;
}

.button:hover {
  background: #3876ac;
}

.smFont {
  font-size: 16px;
}

.bground {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  overflow: auto;
  background-color: rgba(26, 39, 156, 0.4);
}

.content {
  margin: 5% auto;
  width: 100%;
  max-width: 500px;
  min-height: 800px;
  animation-name: modalopen;
  animation-duration: var(--modal-duration);
  background: #232323;
  border-radius: 10px;
  overflow: hidden;
  position: relative;
  color: #fff;
  padding-top: 10px;
}



#title-thanks {
  width: 265.5px;
  margin: auto;
  text-align: center;
  margin-top: 200px;
}

#closeModal {
  position: relative;
  top: 330px;
  display: flex;
  justify-content: center;
  width: 150px;
  margin: auto;
  font-weight: lighter;
  
  /* transform: scale(0.6);  */

}

.modal-body {
  padding: 15px 8%;
  margin: 15px auto;
  position: relative;
  display: flex;
  justify-content: center;
}

label {
  font-family: var(--font-default);
  font-size: 0.7rem;
  font-weight: lighter;
  display: inline-block;
  margin-block: 11px;
}
.modal-body p {
  margin-top: 0.4rem;
  margin-left: -1.2%;
  font-size: 0.7rem;
}
input {
  padding: 8px;
  border: 0.8px solid #ccc;
  outline: none;
}
.text-control {
  margin: 0;
  padding: 8px;
  width: 100%;
  border-radius: 8px;
  font-size: 20px;
  height: 48px;
}
.formData[data-error]::after {
  content: attr(data-error);
  font-size: 0.4em;
  color: #e54858;
  display: none;
  margin-top: 7px;
  margin-bottom: 7px;
  text-align: left;
  line-height: 0.3;
  opacity: 0;
  transition: 0.3s;
}
.formData[data-error-visible="true"]::after {
  opacity: 1;
  display: block;
}
.formData[data-error-visible="true"] .text-control {
  border: 2px solid #e54858;
}
/* 
input[data-error]::after {
    content: attr(data-error);
    font-size: 0.4em;
    color: red;
} */
.checkbox-label,
.checkbox2-label {
  position: relative;
  margin-left: 36px;
  font-size: 12px;
  font-weight: normal;
}
.checkbox-label .checkbox-icon,
.checkbox2-label .checkbox-icon {
  display: block;
  width: 20px;
  height: 20px;
  border: 2px solid #279e7a;
  border-radius: 50%;
  text-indent: 29px;
  white-space: nowrap;
  position: absolute;
  left: -30px;
  top: -1px;
  transition: 0.3s;
}
.checkbox-label .checkbox-icon::after,
.checkbox2-label .checkbox-icon::after {
  content: "";
  width: 13px;
  height: 13px;
  background-color: #279e7a;
  border-radius: 50%;
  text-indent: 29px;
  white-space: nowrap;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  transition: 0.3s;
  opacity: 0;
}
.checkbox-input {
  display: none;
}
.checkbox-input:checked + .checkbox-label .checkbox-icon::after,
.checkbox-input:checked + .checkbox2-label .checkbox-icon::after {
  opacity: 1;
}
.checkbox-input:checked + .checkbox2-label .checkbox-icon {
  background: #279e7a;
}
.checkbox2-label .checkbox-icon {
  border-radius: 4px;
  border: 0;
  background: #c4c4c4;
}
.checkbox2-label .checkbox-icon::after {
  width: 7px;
  height: 4px;
  border-radius: 2px;
  background: transparent;
  border: 2px solid transparent;
  border-bottom-color: #fff;
  border-left-color: #fff;
  transform: rotate(-55deg);
  left: 21%;
  top: 19%;
}
.close {
  position: absolute;
  right: 15px;
  top: 15px;
  width: 32px;
  height: 32px;
  opacity: 1;
  cursor: pointer;
  transform: scale(0.7);
  z-index: 1;
}
.close:before,
.close:after {
  position: absolute;
  left: 15px;
  content: " ";
  height: 33px;
  width: 3px;
  background-color: #fff;
}
.close:before {
  transform: rotate(45deg);
}
.close:after {
  transform: rotate(-45deg);
}
.btn-submit,
.btn-signup {
  background: #fe142f;
  display: block;
  margin: 0 auto;
  border-radius: 7px;
  font-size: 1rem;
  padding: 12px 82px;
  color: #fff;
  cursor: pointer;
  border: 0;
}

.btn-submit {
  margin-top: 1rem;
}
/* custom select styles */
.custom-select {
  position: relative;
  font-family: Arial;
  font-size: 1.1rem;
  font-weight: normal;
}

.custom-select select {
  display: none;
}
.select-selected {
  background-color: #fff;
}

/* Style the arrow inside the select element: */
.select-selected:after {
  position: absolute;
  content: "";
  top: 10px;
  right: 13px;
  width: 11px;
  height: 11px;
  border: 3px solid transparent;
  border-bottom-color: #f00;
  border-left-color: #f00;
  transform: rotate(-48deg);
  border-radius: 5px 0 5px 0;
}

/* Point the arrow upwards when the select box is open (active): */
.select-selected.select-arrow-active:after {
  transform: rotate(135deg);
  top: 13px;
}

.select-items div,
.select-selected {
  color: #000;
  padding: 11px 16px;
  border: 1px solid transparent;
  border-color: transparent transparent rgba(0, 0, 0, 0.1) transparent;
  cursor: pointer;
  border-radius: 8px;
  height: 48px;
}

/* Style items (options): */
.select-items {
  position: absolute;
  background-color: #fff;
  top: 89%;
  left: 0;
  right: 0;
  z-index: 99;
}

/* Hide the items when the select box is closed: */
.select-hide {
  display: none;
}

.select-items div:hover,
.same-as-selected {
  background-color: rgba(0, 0, 0, 0.1);
}
/* custom select end */
.text-label {
  font-weight: normal;
  font-size: 16px;
}
.hero-section {
  /* min-height: 93vh; */
  /* max-height: 400px; */
  border-radius: 10px;
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  overflow: hidden;
  box-shadow: 0 2px 7px 2px rgba(0, 0, 0, 0.2);
  margin-bottom: 10px;
}
.hero-content {
  padding: 51px 67px;
  grid-column: span 4;
  background: #232323;
  color: #fff;
  position: relative;
  text-align: left;
  min-width: 424px;
}
.hero-content::after {
  content: "";
  width: 100%;
  height: 100%;
  background: #232323;
  position: absolute;
  right: -80px;
  top: 0;
}
.hero-content > * {
  position: relative;
  z-index: 1;
}
.hero-headline {
  font-size: 5vw;
  font-weight: normal;
  white-space: nowrap;
}
.hero-text {
  width: 146%;
  font-weight: normal;
  margin-top: 57px;
  padding: 0;
}
.btn-signup {
  outline: none;
  text-transform: capitalize;
  font-size: 1.3rem;
  padding: 15px 23px;
  margin: 0;
  margin-top: 59px;
}
.hero-img {
  grid-column: span 8;
}
.hero-img img {
  width: 100%;
  height: 100%;
  display: block;
  padding: 0;
  object-fit: cover;
}
.copyrights {
  color: #fe142f;
  padding: 0;
  font-size: 1rem;
  margin: 60px 0 30px;
  font-weight: bolder;
}
.hero-section > .btn-signup {
  display: none;
}
footer {
  padding-left: 2vw;
  padding-right: 2vw;
  margin: 0 20px;
}
@media screen and (max-width: 800px) {

  .bground .content {
    margin-top: 80px;
  }
  .hero-section {
    display: block;
    box-shadow: unset;
    margin-bottom: unset;
    min-height: unset;
  }
  .hero-content {
    background: #fff;
    color: #000;
    padding: 5px;
    min-width: unset;
    /* text-align: center; */
  }
  .hero-content::after {
    content: unset;
  }
  .hero-content .btn-signup {
    display: none;
  }
  .hero-headline {
    width: 100%;
    font-size: 9vw;
    font-weight: 800;
    white-space: normal;
    /* display: flex; */
  }
  .hero-text {
    width: unset;
    margin-top: 15px;
    font-size: 1rem;
  }
  .hero-img img {
    border-radius: 10px;
    margin-top: 40px;
  }
  .hero-section > .btn-signup {
    display: block;
    margin: 32px auto 10px;
    padding: 12px 35px;
  }
  .copyrights {
    margin-top: 0px;
    text-align: center;
  }
  .footer {
    margin: 0;
    padding: 0;
  }
}

@keyframes modalopen {
  from {
    opacity: 0;
    transform: translateY(-150px);
  }
  to {
    opacity: 1;
  }
}

